Robotsystem of the Robot Group Leipzig: AngularMotor3AxisEuler Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# AngularMotor3AxisEuler Class Reference

Angular motor for Ball Joints with Euler control. More...

`#include <angularmotor.h>`

Inherits AngularMotor.

Inheritance diagram for AngularMotor3AxisEuler:

[legend]
Collaboration diagram for AngularMotor3AxisEuler:

[legend]
List of all members.

## Public Member Functions
| AngularMotor3AxisEuler (const OdeHandle &odeHandle, BallJoint *joint, const Axis &axis1, const Axis &axis3, double power)
| Constuct a motor attached to a BallJoint.
virtual int | getNumberOfAxes ()
| returns the number of Axis of this Motor
virtual void | set (int axisNumber, double velocity)
| sets the desired speed of the motor at the given axis.
virtual double | get (int axisNumber)
| returns the speed (PositionRate) at the given axis, or zero if the axis is out of range
virtual void | setPower (double power)
| sets the maximal force the motor has
## Protected Attributes
BallJoint * | joint

## Detailed Description

Angular motor for Ball Joints with Euler control.

## Constructor & Destructor Documentation

AngularMotor3AxisEuler | ( | const OdeHandle & | odeHandle,
|  | BallJoint * | joint,
|  | const Axis & | axis1,
|  | const Axis & | axis3,
|  | double | power |
| ) |  |  |

Constuct a motor attached to a BallJoint.

Parameters:

  | axis1 | axis relative to body 1
  | axis3 | axis relative to body 2 (must be perpendicular to axis1 (the axis 2 is calculated automatically)
  | power | The maximum force or torque that the motor will use to achieve the desired velocity. This must always be greater than or equal to zero. Setting this to zero (the default value) turns off the motor.

## Member Function Documentation

double get | ( | int | axisNumber | ) | `[virtual]`

returns the speed (PositionRate) at the given axis, or zero if the axis is out of range

Implements AngularMotor.

virtual int getNumberOfAxes | ( |  | ) | `[inline, virtual]`

returns the number of Axis of this Motor

Implements AngularMotor.

void set | ( | int | axisNumber,
|  | double | velocity |
| ) |  |  | `[virtual]`

sets the desired speed of the motor at the given axis.

Parameters:

  | axisNumber | either 0 or 1
  | velocity | Desired motor velocity (this will be an angular or linear velocity).

Implements AngularMotor.

void setPower | ( | double | power | ) | `[virtual]`

sets the maximal force the motor has

Implements AngularMotor.

## Member Data Documentation

BallJoint* joint`[protected]`

The documentation for this class was generated from the following files:

- angularmotor.h
- angularmotor.cpp